local GearingGuide = LibStub("AceAddon-3.0"):GetAddon("Gearing Guide")

function GearingGuide:PriorityTable ()
	local tablePrio = {}
	tablePrio = {
	{class = "Death Knight", spec = "Blood", Stamina = 5, Strength = 5.79, Agility = 0, Intellect = 0, mastery = 3.27, critical = 1.65, haste = 4.65, multistrike = 4.82, versatility = 4.79, spirit = 0, armor = 13.66, prio = 0},
	{class = "Death Knight", spec = "Frost", Stamina = 0, Strength = 7.32, Agility = 0, Intellect = 0, mastery = 4.11, critical = 3.04, haste = 3.55, multistrike = 3.61, versatility = 3.38, spirit = 0, armor = 0, prio = 0},	
	{class = "Death Knight", spec = "Unholy", Stamina = 0, Strength = 7.05, Agility = 0, Intellect = 0, mastery = 4.11, critical = 3.66, haste = 3.48, multistrike = 3.36, versatility = 3.32, spirit = 0, armor = 0, prio = 0},

	{class = "Druid", spec = "Balance", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.69, mastery = 4.07, critical = 3.57, haste = 3.79, multistrike = 3.6, versatility = 3.29, spirit = 0, armor = 0,  prio = 0},
	{class = "Druid", spec = "Feral", Stamina = 0, Strength = 0, Agility = 7.39, Intellect = 0, mastery = 3.44, critical = 3.66, haste = 3.53, multistrike = 3.6, versatility = 3.38, spirit = 0, armor = 0,  prio = 0},
	{class = "Druid", spec = "Guardian", Stamina = 5, Strength = 0, Agility = 3.85, Intellect = 0, mastery = 6.83, critical = 0, haste = 3.4, multistrike = 6.83, versatility = 4.16, spirit = 0, armor = 12.11,  prio = 0},
	{class = "Druid", spec = "Restoration", Stamina = 0, Strength = 0, Agility = 0, Intellect = 4.97, mastery = 4.15, critical = 3.85, haste = 4.22, multistrike = 4.07, versatility = 3.77, spirit = 3, armor = 0,  prio = 0},
	
	{class = "Hunter", spec = "Beast Mastery", Stamina = 0, Strength = 0, Agility = 7.36, Intellect = 0, mastery = 3.62, critical = 3.43, haste = 3.72, multistrike = 3.51, versatility = 3.36, spirit = 0, armor = 0, prio = 0},
	{class = "Hunter", spec = "Marksman", Stamina = 0, Strength = 0, Agility = 7.03, Intellect = 0, mastery = 3.53, critical = 3.78, haste = 3.49, multistrike = 3.69, versatility = 3.51, spirit = 0, armor = 0, prio = 0},
	{class = "Hunter", spec = "Survival", Stamina = 0, Strength = 0, Agility = 7.69, Intellect = 0, mastery = 3.27, critical = 3.53, haste = 2.95, multistrike = 4.03, versatility = 3.52, spirit = 0, armor = 0, prio = 0},
	
	{class = "Mage", spec = "Arcane", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.8, mastery = 3.68, critical = 3.58, haste = 3.81, multistrike = 3.69, versatility = 3.42, spirit = 0, armor = 0, prio = 0},
	{class = "Mage", spec = "Fire", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.52, mastery = 3.76, critical = 4.27, haste = 3.58, multistrike = 3.63, versatility = 3.22, spirit = 0, armor = 0, prio = 0},
	{class = "Mage", spec = "Frost", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.98, mastery = 3.44, critical = 3.72, haste = 3.61, multistrike = 3.93, versatility = 3.35, spirit = 0, armor = 0, prio = 0},	
	
	{class = "Monk", spec = "Brewmaster", Stamina = 5, Strength = 0, Agility = 4.23, Intellect = 0, mastery = 8.67, critical = 3.2, haste = 1.17, multistrike = 1.16, versatility = 6.58, spirit = 0, armor = 17.68, prio = 0},
	{class = "Monk", spec = "Mistweaver", Stamina = 0, Strength = 0, Agility = 0, Intellect = 4.8, mastery = 3.67, critical = 4.28, haste = 3.82, multistrike = 4.43, versatility = 3.98, spirit = 3, armor = 0, prio = 0},
	{class = "Monk", spec = "Windwalker", Stamina = 0, Strength = 0, Agility = 7.12, Intellect = 0, mastery = 2.73, critical = 3.86, haste = 3.62, multistrike = 3.95, versatility = 3.71, spirit = 0, armor = 0, prio = 0},
	
	{class = "Paladin", spec = "Holy", Stamina = 0, Strength = 0, Agility = 0, Intellect = 7.33, mastery = 3.51, critical = 3.96, haste = 3.2, multistrike = 3.66, versatility = 3.35, spirit = 3, armor = 0, prio = 0},
	{class = "Paladin", spec = "Protection", Stamina = 5, Strength = 6.04, Agility = 0, Intellect = 0, mastery = 4.29, critical = 2.27, haste = 5.03, multistrike = 2.12, versatility = 5.27, spirit = 0, armor = 15.8, prio = 0},
	{class = "Paladin", spec = "Retribution", Stamina = 0, Strength = 6.9, Agility = 0, Intellect = 0, mastery = 3.86, critical = 3.64, haste = 3.21, multistrike = 3.86, versatility = 3.56, spirit = 0, armor = 0, prio = 0},
	
	{class = "Priest", spec = "Discipline", Stamina = 0, Strength = 0, Agility = 0, Intellect = 4.84, mastery = 4.24, critical = 4.32, haste = 3.72, multistrike = 4.02, versatility = 3.86, spirit = 3, armor = 0, prio = 0},
	{class = "Priest", spec = "Holy", Stamina = 0, Strength = 0, Agility = 0, Intellect = 4.85, mastery = 4.18, critical = 4.03, haste = 3.72, multistrike = 4.33, versatility = 3.87, spirit = 3, armor = 0, prio = 0},
	{class = "Priest", spec = "Shadow", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.59, mastery = 3.98, critical = 3.5, haste = 4.06, multistrike = 3.54, versatility = 3.35, spirit = 0, armor = 0, prio = 0},	
	
	{class = "Rogue", spec = "Assassination", Stamina = 0, Strength = 0, Agility = 7.06, Intellect = 0, mastery = 3.45, critical = 3.85, haste = 3.44, multistrike = 3.74, versatility = 3.46, spirit = 0, armor = 0, prio = 0},	
	{class = "Rogue", spec = "Combat", Stamina = 0, Strength = 0, Agility = 6.96, Intellect = 0, mastery = 3.63, critical = 3.4, haste = 3.99, multistrike = 3.66, versatility = 3.36, spirit = 0, armor = 0, prio = 0},
	{class = "Rogue", spec = "Subtlety", Stamina = 0, Strength = 0, Agility = 7.47, Intellect = 0, mastery = 3.6, critical = 3.44, haste = 3.25, multistrike = 3.92, versatility = 3.32, spirit = 0, armor = 0, prio = 0},
	
	{class = "Shaman", spec = "Elemental", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.89, mastery = 3.58, critical = 3.61, haste = 3.68, multistrike = 3.85, versatility = 3.38, spirit = 0, armor = 0, prio = 0},
	{class = "Shaman", spec = "Enhancement", Stamina = 0, Strength = 0, Agility = 7.57, Intellect = 0, mastery = 3.36, critical = 3.37, haste = 3.74, multistrike = 3.61, versatility = 3.35, spirit = 0, armor = 0, prio = 0},
	{class = "Shaman", spec = "Restoration", Stamina = 0, Strength = 0, Agility = 0, Intellect = 4.85, mastery = 4.18, critical = 4.33, haste = 3.73, multistrike = 4.03, versatility = 3.87, spirit = 3, armor = 0, prio = 0},
	
	{class = "Warlock", spec = "Affliction", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.78, mastery = 3.87, critical = 3.46, haste = 4.07, multistrike = 3.53, versatility = 3.27, spirit = 0, armor = 0, prio = 0},
	{class = "Warlock", spec = "Demonology", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.34, mastery = 4.12, critical = 3.5, haste = 4.11, multistrike = 3.59, versatility = 3.32, spirit = 0, armor = 0, prio = 0},
	{class = "Warlock", spec = "Destruction", Stamina = 0, Strength = 0, Agility = 0, Intellect = 6.6, mastery = 3.54, critical = 3.88, haste = 3.7, multistrike = 3.75, versatility = 3.51, spirit = 0, armor = 0, prio = 0},

	{class = "Warrior", spec = "Arms", Stamina = 0, Strength = 6.29, Agility = 0, Intellect = 0, mastery = 4.11, critical = 4.15, haste = 3.38, multistrike = 3.6, versatility = 3.5, spirit = 0, armor = 0, prio = 0},
	{class = "Warrior", spec = "Fury", Stamina = 0, Strength = 6.19, Agility = 0, Intellect = 0, mastery = 3.78, critical = 4.04, haste = 3.86, multistrike = 3.66, versatility = 3.48, spirit = 0, armor = 0, prio = 0},
	{class = "Warrior", spec = "Protection", Stamina = 5, Strength = 5.37, Agility = 0, Intellect = 0, mastery = 4.92, critical = 4.7, haste = 2.03, multistrike = 1.52, versatility = 6.45, spirit = 0, armor = 13.03, prio = 0},
	{class = "Warrior", spec = "Gladiator", Stamina = 0, Strength = 6.73, Agility = 0, Intellect = 0, mastery = 4.04, critical = 3.68, haste = 3.85, multistrike = 3.46, versatility = 3.22, spirit = 0, armor = 6.52, prio = 0}
	}

	return tablePrio
end